﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DoxygenError_CSharp_IndexerPropertySample
{
    /// <summary>
    /// A simple class containing an indexer property.
    /// </summary>
    public class ClassWithIndexerProperty
    {
        int[] m_Integers = new int[32];



        /// <summary>
        /// A simple indexer property.
        /// </summary>
        /// <remarks>
        /// There is no error checking here since this is just sample code.
        /// </remarks>
        /// <param name="i"></param>
        /// <returns>The value at the specified index of the m_Integers array.</returns>
        public int this[int i]
        {
            get
            {
                return m_Integers[i];
            }
            set
            {
                m_Integers[i] = value;
            }
        }
    }
}
